package proto.security.board;

import java.security.Principal;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.security.access.annotation.Secured;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Handles requests for the application home page.
 */
@Controller
public class HomeController {

    private static final Logger logger = LoggerFactory.getLogger(HomeController.class);

    /**
     * Simply selects the home view to render by returning its name.
     */
    @RequestMapping(value = "/index.html", method = RequestMethod.GET)
    @Secured("ROLE_ADMIN")
    public String index(Model model, Principal principal) {
        logger.info("Welcome home!");

        String username = principal.getName();

        model.addAttribute("username", username );

        return "index";
    }

}
